package org.sadigit.mapper;

import org.sadigit.entity.AppUser;
import org.sadigit.model.dto.AppUserDto;

public class AppUserMapper {
    public AppUserMapper() {
    }

    public static AppUserDto entityToDTO(AppUser entity) {

        return AppUserDto.builder()
                .address(entity.getAddress())
                .nip(entity.getNip())
                .phone(entity.getPhone())
                .positionid(entity.getPositionId().intValue())
                .isactive(entity.getIsActive())
                .mobile(entity.getMobile())
                .unitid(entity.getUnitId().intValue())
                .userid(entity.getUserId().intValue())
                .employeename(entity.getEmployeeName())
                .email(entity.getEmail())
                .username(entity.getUsername())
                .build();
    }

}