package org.sadigit.mapper;

import org.sadigit.entity.Issuetype;
import org.sadigit.model.dto.IssueTypeDto;

import io.quarkus.logging.Log;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class IssueTypeMapper {
    public IssueTypeMapper() {
    }

    public static IssueTypeDto entityToDTO(Issuetype entity) {

        return IssueTypeDto.builder()
                .issuetypeid(entity.getIssueTypeId())
                .issuetypename(entity.getIssueTypeName())
                .build();
    }

}