package org.sadigit.model;

import java.io.Serializable;

import io.quarkus.runtime.annotations.RegisterForReflection;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ToString
@RegisterForReflection
public class ResponseModelIntegKeluhanMobile <T> implements Serializable {
    private String Rc;
    private String Message;
    private T Data;

    public String getRc() { return Rc; }

    public void setRc(String rc) { this.Rc = rc; }

    public String getMessage() {
        return Message;
    }

    public void setMessage(String message) {
        this.Message = message;
    }

    public T getData() {
        return Data;
    }

    public void setData(T data) {
        Data = data;
    }
}
