package org.sadigit.repository;

import java.util.List;

import org.sadigit.entity.Issuetype;

import io.quarkus.hibernate.orm.panache.PanacheRepositoryBase;
import jakarta.enterprise.context.ApplicationScoped;

@ApplicationScoped
public class IssueTypeRepository implements PanacheRepositoryBase<Issuetype, Long> {
    public List<Issuetype> findIssueTypeKeluhan() {
        return find("projectId = ?1", 2).list();
    }

    public List<Issuetype> findIssueTypeActiveKeluhan() {
        return find("projectId = ?1 AND isActive = ?2", 2, "1").list();
    }
}
