package org.sadigit.service.api.v1;

import java.util.List;
import java.util.stream.Collectors;

import org.sadigit.entity.Unit;
import org.sadigit.mapper.PenggunaMapper;
import org.sadigit.model.dto.UnitDto;
import org.sadigit.repository.UnitRepository;

import jakarta.enterprise.context.ApplicationScoped;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

@ApplicationScoped
@RequiredArgsConstructor
@Slf4j
public class UnitService {
    private final UnitRepository unitRepository;

    public List<UnitDto> findByUnitTypeId(Long unitTypeId) {
        return unitRepository.findByUnitTypeId(unitTypeId);
    }
}
