package org.sadigit.entity;

import java.math.BigDecimal;
import java.security.Timestamp;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Getter
@Setter
@Table(name = "issuetype", schema = "apkt_transactional")
public class Issuetype {
    @Id
    @Column(name = "issuetypeid", nullable = false)
    private Long issueTypeId;

    @Column(name = "issuetypecode", length = 10)
    private String issueTypeCode;

    @Column(name = "issuetypename", length = 200)
    private String issueTypeName;

    @Column(name = "projectid")
    private Long projectId;

    @Column(name = "isactive", length = 1)
    private String isActive;

    @Column(name = "description", length = 4000)
    private String description;
}
