package org.sadigit.mapper;

import org.sadigit.entity.Keluhan;
import org.sadigit.model.dto.KeluhantDto;

public class KeluhanMapper {
    public KeluhanMapper() {
    }

    public static KeluhantDto entityToDTO(Keluhan entity) {

        return KeluhantDto.builder()
                .provinsi(entity.getKelurahan() != null ? entity.getKelurahan().getNamaProvinsi() : null)
                .keterangan(entity.getKeterangan())
                .latitude(0)
                .referencelocation(entity.getLokasi() != null ? entity.getLokasi().toString() : null)
                .createdate(entity.getCreatedDate())
                .description(entity.getDeskripsi())
                .idnomormeter(entity.getIdPelangganNoMeter() != null ? entity.getIdPelangganNoMeter().toString() : null)
                .distribution(null)
                .flaghisto(0)
                .issuetypename(entity.getIssueType().getIssueTypeName())
                .kabupaten(entity.getKelurahan() != null ? entity.getKelurahan().getNamaKota() : null)
                .serviceunitid(0)
                .createby(entity.getCreatedBy())
                .updatedate(entity.getUpdatedDate())
                .isgerai(false)
                .unitname(null)
                .subissuetypename(entity.getSubIssueType().getSubissuetypename())
                .customername(null)
                .plnreportnumber(null)
                .longitude(0)
                .summary("1")
                .escalationid(entity.getEskalasi())
                .lapor(0)
                .customernumber(1)
                .reportnumber(entity.getNoLaporan())
                .reporteremail(null)
                .kelurahan(entity.getKelurahan() != null ? entity.getKelurahan().getNamaKelurahan() : null)
                .priorityid(0)
                .neareststreet(null)
                .nometer(null)
                .priorityname("NORMAL")
                .subissuetypeid(entity.getTipeKeluhan())
                .updateby(entity
                        .getUpdatedBy() != null ? entity.getUpdatedBy() : 0)
                .runworkflowid(0)
                .reportermobile(null)
                .customerid(null)
                .reporteraddress(null)
                .kecamatan(entity.getKelurahan() != null ? entity.getKelurahan().getNamaKecamatan()
                        : null)
                .laststatus(entity.getStatusAkhir())
                .issuetypeid(entity.getTipeKeluhan())
                .location(null)
                .reportername(entity.getNamaPelapor())
                .reporterphone(entity.getHpPelapor())
                .reporterfax(entity.getFaxPelapor())
                .unitparent(null)
                .build();
    }

}