package org.sadigit.mapper;

import org.sadigit.entity.Issuetype;
import org.sadigit.model.dto.MasterIssueTypeDto;

import io.quarkus.logging.Log;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class MasterIssueTypeMapper {
    public MasterIssueTypeMapper() {
    }

    public static MasterIssueTypeDto entityToDTO(Issuetype entity) {

        return MasterIssueTypeDto.builder()
                .jenis_pengaduan("KELUHAN")
                .issuetypeid(entity.getIssueTypeId())
                .issuetypename(entity.getIssueTypeName())
                .projectid(entity.getProjectId())
                .build();
    }

}